Results 1 to 9 of 9

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Need Help JB iphone 3Gs. im kind of stuck!

  1. #1
    Default Need Help JB iphone 3Gs. im kind of stuck!
    I just bought an iphone 3Gs fw 3.0.1, and after doing a bit of research im really confused. I got the pwnage tool with fw "iPhone2,1_3.1_7C144_Custom_Restore.ipsw" and when i try to restore the fw i get error 160 and the weird part was that before i did the restore i put the phone in DFU mode but when the restore failed the phone was able to get out of DFU mode :S

    so if someone can point me in the right direction it would be really helpful.

    Thanks

  2. #2
    iPhone? More like MyPhone
    Join Date
    Oct 2009
    Location
    NJ
    Posts
    110
    Thanks
    1
    Thanked 3 Times in 3 Posts

    Was the phone already jailbroken? With the 3gs you need cydia to store the ecid (I think thats what its called) and Im pretty sure it needed to be jailbroken already in order for you to upgrade and jailbreak again. If the phone isnt jailbroken and is usable and still on older fw jailbreak that fw first and then upgrade.

  3. #3
    If you still have 3.0.1 on your phone, use redsn0w 0.8 to jailbreak it

    iClarified - iPhone - How to Jailbreak Your iPhone 3GS on OS 3.0.x Using RedSn0w (Mac)

    SKIP STEP 2!!! You cannot restore the firmware anymore, and that step will fail.

    Once you finish that, then you can load your custom 3.1 if you so desire.

  4. #4
    i have tried to dl 7 different fw's. but all i get is "unable to recognize the specific IPSW"
    arghhhhhhh!!!

  5. #5
    Quote Originally Posted by sunny416 View Post
    i have tried to dl 7 different fw's. but all i get is "unable to recognize the specific IPSW"
    arghhhhhhh!!!
    Did you use redsn0w 0.8 and point it at stock 3.0? Once you get it jailbroken at 3.0.1, you can upgrade to custom 3.1 or 3.1.2 if you want.

  6. #6
    i used redsnow and loaded the stock 3.0.1 fw. and it kept giving me taht error.

  7. #7
    Quote Originally Posted by sunny416 View Post
    i used redsnow and loaded the stock 3.0.1 fw. and it kept giving me taht error.
    Download iPhone2,1_3.0_7A341_Restore.ipsw (http://appldnld.apple.com.edgesuite....1_Restore.ipsw) if you haven't already. When you run redsn0w, browse for and select iPhone2,1_3.0_7A341_Restore.ipsw at the step where it wants the firmware.

  8. The Following User Says Thank You to L00i3 For This Useful Post:

    sunny416 (2009-10-26)

  9. #8
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    You have to target the 3.0 fw with redsnow even though you are actually going to get 3.0.1.

  10. The Following User Says Thank You to CaptainChaos For This Useful Post:

    sunny416 (2009-10-26)

  11. #9

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •